Hyperliquid Long/Short Ratio (Accounts)

This endpoint provides the long/short account ratio history for symbols on Hyperliquid.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Cache / Update Frequency: Real time for all the API plans.

This endpoint is available on the following API plans

PlansHobbyistStartupStandardProfessionalEnterprise
Available

Response Data

{
  "code": "0",
  "data": [
    {
      "time": 1751414400000,// Timestamp (in milliseconds)
      "global_account_long_count": 5347,// Long account count
      "global_account_short_count": 3766,// Short account count
      "global_account_total_count": 9113,// Total account count
      "global_account_long_percent": 58.67,// Long percentage (%)
      "global_account_short_percent": 41.33,// Short percentage (%)
      "global_account_long_short_ratio": 1.4195// Long/Short ratio
    },
    {
      "time": 1751500800000,
      "global_account_long_count": 4644,
      "global_account_short_count": 4719,
      "global_account_total_count": 9363,
      "global_account_long_percent": 49.6,
      "global_account_short_percent": 50.4,
      "global_account_long_short_ratio": 0.9841
    },
    {
   ]
}
Query Params
string
Defaults to BTC

Trading coin (e.g., BTC). Retrieve supported coins via the 'supported-coins' API. If not provided, data for all supported symbols will be returned.

string
required
Defaults to 1d

Time interval for data aggregation. Supported values: 5m, 1h,1d

int32

Number of results per request. Default: 1000, Maximum: 1000

int64

Start timestamp in milliseconds (e.g., 1641522717000).

int64

End timestamp in milliseconds (e.g., 1641522717000).

Response
200
Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!